## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/dirkvdb/ffmpegthumbnailer
Version:        2.2.3
%global tag %{version}
%forgemeta

Name:           ffmpegthumbnailer
Release:        %autorelease
Summary:        Lightweight video thumbnailer that can be used by file managers
License:        GPL-2.0-or-later
URL:            %{forgeurl}
Source0:        %{forgesource}

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  extra-cmake-modules
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libavformat)
BuildRequires:  pkgconfig(libavutil)
BuildRequires:  pkgconfig(libavfilter)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)

Requires:       %{name}-libs%{?isa} = %{version}-%{release}

%description
FFmpegthumbnailer is a lightweight video thumbnailer that can be used by file
managers to create thumbnails for your video files. The thumbnailer uses ffmpeg
to decode frames from the video files, so supported videoformats depend on the
configuration flags of ffmpeg.

%package        libs
Summary:        Library for %{name}

%description    libs
This package contains the library for %{name}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}-libs%{?isa} = %{version}-%{release}

%description    devel
This package contains the development files for %{name}.

%prep
%forgeautosetup -p1

%build
%cmake \
    -GNinja \
    -DENABLE_GIO=ON \
    -DENABLE_THUMBNAILER=ON \

%cmake_build

%install
%cmake_install

%check
%ctest

%files
%license COPYING
%doc README
%{_bindir}/ffmpegthumbnailer
%{_mandir}/man1/ffmpegthumbnailer.1*
%dir %{_datadir}/thumbnailers
%{_datadir}/thumbnailers/ffmpegthumbnailer.thumbnailer

%files libs
%license COPYING
%{_libdir}/libffmpegthumbnailer.so.4*

%files devel
%{_includedir}/libffmpegthumbnailer/
%{_libdir}/libffmpegthumbnailer.so
%{_libdir}/pkgconfig/libffmpegthumbnailer.pc

%changelog
## START: Generated by rpmautospec
* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Oct 09 2024 topazus <topazus@outlook.com> - 2.2.3-1
- 2.2.3; rhbz#2317578

* Mon Sep 23 2024 Fabio Valentini <decathorpe@gmail.com> - 2.2.2-3
- Rebuild for ffmpeg 7

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Apr 10 2024 topazus <topazus@outlook.com> - 2.2.2-1
- initial import; rhbz#2272674
## END: Generated by rpmautospec
